Search Cast history
curl --request POST \
--url https://api.melius.com/api/v1/cast/generations/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"pageSize": 24,
"cursor": "<string>",
"includeCount": false,
"filters": {}
}
'import requests
url = "https://api.melius.com/api/v1/cast/generations/search"
payload = {
"pageSize": 24,
"cursor": "<string>",
"includeCount": False,
"filters": {}
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pageSize: 24, cursor: '<string>', includeCount: false, filters: {}})
};
fetch('https://api.melius.com/api/v1/cast/generations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.melius.com/api/v1/cast/generations/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pageSize' => 24,
'cursor' => '<string>',
'includeCount' => false,
'filters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-team-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.melius.com/api/v1/cast/generations/search"
payload := strings.NewReader("{\n \"pageSize\": 24,\n \"cursor\": \"<string>\",\n \"includeCount\": false,\n \"filters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-team-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.melius.com/api/v1/cast/generations/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-team-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pageSize\": 24,\n \"cursor\": \"<string>\",\n \"includeCount\": false,\n \"filters\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"config": {
"operation": "script",
"replacement": {
"sourceAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audioMode": "original",
"replacements": [
{
"referenceAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetKind": "character",
"targetDescription": "<string>",
"pendingAvatarRenderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar": {
"kind": "custom",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"dittoTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1
},
"styleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalInstructions": "<string>",
"sourceRange": {
"startMs": 1,
"endMs": 1
},
"modelId": "<string>",
"resolution": "480p"
},
"sections": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": true,
"seconds": 4,
"speakerId": "<string>",
"continues": true,
"inShot": [
"<string>"
],
"scene": "<string>"
}
],
"requestedSeconds": 1,
"creationSettings": {
"videoStyle": {
"id": "auto",
"version": 1
},
"speech": "on-screen",
"visuals": "auto",
"pronunciations": [
{
"word": "<string>",
"pronunciation": "<string>"
}
]
},
"scriptTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 0,
"source": "static"
},
"avatarId": "<string>",
"voiceId": "<string>",
"customVoiceId": "<string>",
"voiceName": "<string>",
"autoVoice": true,
"aspectRatio": "<string>",
"platformId": "<string>",
"direction": "<string>",
"tone": "<string>",
"customAvatarId": "<string>",
"presetAvatarId": "<string>",
"elementId": "<string>",
"elementVersionId": "<string>",
"elementReferenceAssetId": "<string>",
"elementReferenceImageLayout": "portrait-three-view",
"backgroundId": "<string>",
"productAssetId": "<string>",
"productRole": "in-hand",
"comment": {
"text": "<string>",
"author": "<string>"
},
"products": [
{
"id": "<string>",
"assetId": "<string>",
"elementId": "<string>",
"elementVersionId": "<string>"
}
],
"avatars": [
{
"id": "<string>",
"customAvatarId": "<string>",
"presetAvatarId": "<string>",
"elementId": "<string>",
"elementVersionId": "<string>",
"elementReferenceAssetId": "<string>",
"elementReferenceImageLayout": "portrait-three-view",
"voiceId": "<string>",
"customVoiceId": "<string>"
}
],
"treatment": "self-filmed",
"starterId": "<string>",
"subtitles": {
"preset": "simple",
"language": "<string>",
"position": "top",
"textCustomizations": {
"baseline": {
"font": "<string>",
"weight": 123,
"color": "<string>"
},
"highlighted": {
"font": "<string>",
"weight": 123,
"color": "<string>"
}
}
},
"engine": "boreal",
"resolution": "360p",
"analytics": {
"visitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatarId": "<string>",
"hasProp": true,
"hasTone": true,
"aspectRatio": "<string>",
"beatCount": 1,
"scriptSeconds": 1,
"creditCost": 1,
"takeNumber": 1,
"attemptNumberWithinWork": 1,
"entrySurface": "cast",
"agent": {
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval": "member"
},
"planAtEvent": "TIER_0",
"engine": "boreal",
"avatarKind": "preset",
"backgroundKind": "auto",
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treatment": "self-filmed",
"voiceKind": "default",
"resolution": "360p",
"hasSubtitles": true,
"subtitlePreset": "<string>",
"avatarCount": 1,
"partCount": 1,
"voiceRoute": "track",
"placeImageCount": 1,
"scriptSource": "starter",
"scriptEntryMethod": "typed",
"scriptOrigin": "starter",
"starterId": "<string>",
"rootWorkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicSourceGenerationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"source": "<string>",
"name": "<string>",
"landedAt": "2023-11-07T05:31:56Z",
"medium": "email",
"content": "<string>"
},
"promo": {
"id": "<string>",
"surface": "<string>",
"clickedAt": "2023-11-07T05:31:56Z",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"entryPoint": "sidebar",
"exploreVideoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exploreVideoRevision": 0
}
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"avatarUrl": "<string>"
},
"bulkNodeRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "generating",
"failureMessage": "<string>",
"subtitlesFailureMessage": "<string>",
"commentFailureMessage": "<string>",
"videoUrl": "<string>",
"posterUrl": "<string>",
"videoWidth": 1,
"videoHeight": 1,
"title": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationMs": 1,
"savedToFiles": true,
"myFeedback": "positive",
"upscale": {
"model": "<string>",
"modelName": "<string>",
"source": {
"width": 1,
"height": 1
},
"options": [
{
"resolution": "1080p",
"creditCost": 1,
"status": "available",
"failureMessage": "<string>",
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"upscaledFrom": {
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution": "1080p",
"model": "<string>",
"modelName": "<string>"
},
"addSubtitles": {
"creditCost": 1
},
"subtitledFrom": {
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"pageSize": 0,
"count": 0,
"hasMore": true,
"nextCursor": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Cast
Search Cast history
POST
/
api
/
v1
/
cast
/
generations
/
search
Search Cast history
curl --request POST \
--url https://api.melius.com/api/v1/cast/generations/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"pageSize": 24,
"cursor": "<string>",
"includeCount": false,
"filters": {}
}
'import requests
url = "https://api.melius.com/api/v1/cast/generations/search"
payload = {
"pageSize": 24,
"cursor": "<string>",
"includeCount": False,
"filters": {}
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pageSize: 24, cursor: '<string>', includeCount: false, filters: {}})
};
fetch('https://api.melius.com/api/v1/cast/generations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.melius.com/api/v1/cast/generations/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pageSize' => 24,
'cursor' => '<string>',
'includeCount' => false,
'filters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-team-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.melius.com/api/v1/cast/generations/search"
payload := strings.NewReader("{\n \"pageSize\": 24,\n \"cursor\": \"<string>\",\n \"includeCount\": false,\n \"filters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-team-id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.melius.com/api/v1/cast/generations/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-team-id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pageSize\": 24,\n \"cursor\": \"<string>\",\n \"includeCount\": false,\n \"filters\": {}\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"config": {
"operation": "script",
"replacement": {
"sourceAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audioMode": "original",
"replacements": [
{
"referenceAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetKind": "character",
"targetDescription": "<string>",
"pendingAvatarRenderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatar": {
"kind": "custom",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"dittoTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1
},
"styleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additionalInstructions": "<string>",
"sourceRange": {
"startMs": 1,
"endMs": 1
},
"modelId": "<string>",
"resolution": "480p"
},
"sections": [
{
"id": "<string>",
"text": "<string>",
"title": "<string>",
"action": "<string>",
"kind": "action",
"cutaway": true,
"seconds": 4,
"speakerId": "<string>",
"continues": true,
"inShot": [
"<string>"
],
"scene": "<string>"
}
],
"requestedSeconds": 1,
"creationSettings": {
"videoStyle": {
"id": "auto",
"version": 1
},
"speech": "on-screen",
"visuals": "auto",
"pronunciations": [
{
"word": "<string>",
"pronunciation": "<string>"
}
]
},
"scriptTemplate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 0,
"source": "static"
},
"avatarId": "<string>",
"voiceId": "<string>",
"customVoiceId": "<string>",
"voiceName": "<string>",
"autoVoice": true,
"aspectRatio": "<string>",
"platformId": "<string>",
"direction": "<string>",
"tone": "<string>",
"customAvatarId": "<string>",
"presetAvatarId": "<string>",
"elementId": "<string>",
"elementVersionId": "<string>",
"elementReferenceAssetId": "<string>",
"elementReferenceImageLayout": "portrait-three-view",
"backgroundId": "<string>",
"productAssetId": "<string>",
"productRole": "in-hand",
"comment": {
"text": "<string>",
"author": "<string>"
},
"products": [
{
"id": "<string>",
"assetId": "<string>",
"elementId": "<string>",
"elementVersionId": "<string>"
}
],
"avatars": [
{
"id": "<string>",
"customAvatarId": "<string>",
"presetAvatarId": "<string>",
"elementId": "<string>",
"elementVersionId": "<string>",
"elementReferenceAssetId": "<string>",
"elementReferenceImageLayout": "portrait-three-view",
"voiceId": "<string>",
"customVoiceId": "<string>"
}
],
"treatment": "self-filmed",
"starterId": "<string>",
"subtitles": {
"preset": "simple",
"language": "<string>",
"position": "top",
"textCustomizations": {
"baseline": {
"font": "<string>",
"weight": 123,
"color": "<string>"
},
"highlighted": {
"font": "<string>",
"weight": 123,
"color": "<string>"
}
}
},
"engine": "boreal",
"resolution": "360p",
"analytics": {
"visitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avatarId": "<string>",
"hasProp": true,
"hasTone": true,
"aspectRatio": "<string>",
"beatCount": 1,
"scriptSeconds": 1,
"creditCost": 1,
"takeNumber": 1,
"attemptNumberWithinWork": 1,
"entrySurface": "cast",
"agent": {
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval": "member"
},
"planAtEvent": "TIER_0",
"engine": "boreal",
"avatarKind": "preset",
"backgroundKind": "auto",
"backgroundId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"treatment": "self-filmed",
"voiceKind": "default",
"resolution": "360p",
"hasSubtitles": true,
"subtitlePreset": "<string>",
"avatarCount": 1,
"partCount": 1,
"voiceRoute": "track",
"placeImageCount": 1,
"scriptSource": "starter",
"scriptEntryMethod": "typed",
"scriptOrigin": "starter",
"starterId": "<string>",
"rootWorkId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicSourceGenerationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaign": {
"source": "<string>",
"name": "<string>",
"landedAt": "2023-11-07T05:31:56Z",
"medium": "email",
"content": "<string>"
},
"promo": {
"id": "<string>",
"surface": "<string>",
"clickedAt": "2023-11-07T05:31:56Z",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"entryPoint": "sidebar",
"exploreVideoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exploreVideoRevision": 0
}
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"avatarUrl": "<string>"
},
"bulkNodeRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "generating",
"failureMessage": "<string>",
"subtitlesFailureMessage": "<string>",
"commentFailureMessage": "<string>",
"videoUrl": "<string>",
"posterUrl": "<string>",
"videoWidth": 1,
"videoHeight": 1,
"title": "<string>",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"durationMs": 1,
"savedToFiles": true,
"myFeedback": "positive",
"upscale": {
"model": "<string>",
"modelName": "<string>",
"source": {
"width": 1,
"height": 1
},
"options": [
{
"resolution": "1080p",
"creditCost": 1,
"status": "available",
"failureMessage": "<string>",
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"upscaledFrom": {
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution": "1080p",
"model": "<string>",
"modelName": "<string>"
},
"addSubtitles": {
"creditCost": 1
},
"subtitledFrom": {
"generationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"pageSize": 0,
"count": 0,
"hasMore": true,
"nextCursor": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Authorizations
Body
application/json
Body
Response
200